%global modulename rc

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-rc
Version:        1.2.8
Release:        1%{?dist}
Summary:        hardwired configuration loader

License:        (BSD or (MIT or ASL 2.0))
URL:            https://github.com/dominictarr/rc#readme
Source0:        https://registry.npmjs.org/rc/-/rc-1.2.8.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(deep-extend) >= 0.6.0 with npmlib(deep-extend) < 0.7.0))
BuildRequires:  ((npmlib(ini) >= 1.3.0 with npmlib(ini) < 1.4.0))
BuildRequires:  ((npmlib(minimist) >= 1.2.0 with npmlib(minimist) < 2.0.0))
BuildRequires:  ((npmlib(strip-json-comments) >= 2.0.1 with npmlib(strip-json-comments) < 2.1.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
hardwired configuration loader

%package 1.2.8
Summary:        hardwired configuration loader


%description 1.2.8
hardwired configuration loader

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr browser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr cli.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/cli.js %{buildroot}/%{_bindir}/rc


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE.APACHE2
%license LICENSE.BSD
%license LICENSE.MIT
%{_bindir}/rc
%{nodejs_dir}/%{modulename}

%files 1.2.8
%doc README.md
%license LICENSE.APACHE2
%license LICENSE.BSD
%license LICENSE.MIT
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.2.8-1
- Package automatically generated by npm2srpm
